For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Subcategories

Product subcategory management.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
Query parameters
pagenumberOptionalExample: 1
ippnumberOptionalExample: 50
searchstringOptionalExample: q
Responses
200

Returns a PaginatedProductSubcategoryCollection

application/json
_totalnumberRequired
get/pos/products/categories/{productCategoryId}/subcategories
GET /apis/v2/pos/products/categories/{productCategoryId}/subcategories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "category": {},
      "name": "text",
      "description": "text",
      "priority": 0,
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
Body
idstringRequired
categoryobjectRead-onlyRequired
namestringRequired
descriptionstringOptional
prioritynumberOptionalDefault: 0
_linksobjectRequired
Responses
201

Returns a ProductSubcategory

application/json
idstringRequired
categoryobjectRead-onlyRequired
namestringRequired
descriptionstringOptional
prioritynumberOptionalDefault: 0
_linksobjectRequired
post/pos/products/categories/{productCategoryId}/subcategories
POST /apis/v2/pos/products/categories/{productCategoryId}/subcategories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "id": "text",
  "name": "text",
  "description": "text",
  "priority": 0,
  "_links": {}
}
{
  "id": "text",
  "category": {},
  "name": "text",
  "description": "text",
  "priority": 0,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Returns a ProductSubcategoryCollection

application/json
_totalnumberRequired
patch/pos/products/categories/{productCategoryId}/subcategories
PATCH /apis/v2/pos/products/categories/{productCategoryId}/subcategories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "items": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "priority": 0
    }
  ]
}
{
  "items": [
    {
      "id": "text",
      "category": {},
      "name": "text",
      "description": "text",
      "priority": 0,
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
productSubcategoryIdstringRequired
Responses
200

Returns a ProductSubcategory

application/json
idstringRequired
categoryobjectRead-onlyRequired
namestringRequired
descriptionstringOptional
prioritynumberOptionalDefault: 0
_linksobjectRequired
get/pos/products/categories/{productCategoryId}/subcategories/{productSubcategoryId}
GET /apis/v2/pos/products/categories/{productCategoryId}/subcategories/{productSubcategoryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "category": {},
  "name": "text",
  "description": "text",
  "priority": 0,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
productSubcategoryIdstringRequired
Responses
200

Returns a ProductSubcategory

application/json
idstringRequired
categoryobjectRead-onlyRequired
namestringRequired
descriptionstringOptional
prioritynumberOptionalDefault: 0
_linksobjectRequired
delete/pos/products/categories/{productCategoryId}/subcategories/{productSubcategoryId}
DELETE /apis/v2/pos/products/categories/{productCategoryId}/subcategories/{productSubcategoryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "category": {},
  "name": "text",
  "description": "text",
  "priority": 0,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
productSubcategoryIdstringRequired
Body
idstringRequired
categoryobjectRead-onlyRequired
namestringRequired
descriptionstringOptional
prioritynumberOptionalDefault: 0
_linksobjectRequired
Responses
200

Returns a ProductSubcategory

application/json
idstringRequired
categoryobjectRead-onlyRequired
namestringRequired
descriptionstringOptional
prioritynumberOptionalDefault: 0
_linksobjectRequired
patch/pos/products/categories/{productCategoryId}/subcategories/{productSubcategoryId}
PATCH /apis/v2/pos/products/categories/{productCategoryId}/subcategories/{productSubcategoryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "id": "text",
  "name": "text",
  "description": "text",
  "priority": 0,
  "_links": {}
}
{
  "id": "text",
  "category": {},
  "name": "text",
  "description": "text",
  "priority": 0,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
productSubcategoryIdstringRequired
Body
Responses
200

Returns a ProductSubcategory

application/json
idstringRequired
categoryobjectRead-onlyRequired
namestringRequired
descriptionstringOptional
prioritynumberOptionalDefault: 0
_linksobjectRequired
put/pos/products/categories/{productCategoryId}/subcategories/{productSubcategoryId}/tax-category
PUT /apis/v2/pos/products/categories/{productCategoryId}/subcategories/{productSubcategoryId}/tax-category HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "taxCategory": {
    "id": "text"
  }
}
{
  "id": "text",
  "category": {},
  "name": "text",
  "description": "text",
  "priority": 0,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
productSubcategoryIdstringRequired
Responses
200

Returns a ProductSubcategory

application/json
idstringRequired
categoryobjectRead-onlyRequired
namestringRequired
descriptionstringOptional
prioritynumberOptionalDefault: 0
_linksobjectRequired
delete/pos/products/categories/{productCategoryId}/subcategories/{productSubcategoryId}/tax-category
DELETE /apis/v2/pos/products/categories/{productCategoryId}/subcategories/{productSubcategoryId}/tax-category HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "category": {},
  "name": "text",
  "description": "text",
  "priority": 0,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}

Last updated

Was this helpful?